%define	upstream_name	 File-Slurp
%define	upstream_version 9999.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Efficient Reading/Writing of Complete Files
Group:      Development/Perl
License:    GPL+ or Artistic
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Fcntl)
BuildRequires: perl(POSIX)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module provides subs that allow you to read or write entire files with one
simple call. They are designed to be simple to use, have flexible ways to pass
in or get the file contents and to be very efficient. There is also a sub to
read in all the files in a directory other than . and ..

These slurp/spew subs work for files, pipes and sockets, and stdio,
pseudo-files, and DATA.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 lib/File/Slurp.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std
find %{buildroot} -name "perllocal.pod" | xargs -i rm -f {}

%files
%doc Changes META.yml README TODO
%{_mandir}/man3*/*
%{perl_vendorlib}/File


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 9999.190.0-8.mga6
+ Revision: 1027591
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 9999.190.0-7.mga6
+ Revision: 941428
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 9999.190.0-6.mga5
+ Revision: 750671
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 9999.190.0-5.mga5
+ Revision: 732144
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 9999.190.0-4.mga5
+ Revision: 684768
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 9999.190.0-3.mga4
+ Revision: 538174
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 9999.190.0-2.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sun Jan 13 2013 umeabot <umeabot> 9999.190.0-2.mga3
+ Revision: 367383
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 9999.190.0-1.mga2
+ Revision: 106966
- update to 9999.19

* Fri Mar 25 2011 jquelin <jquelin> 9999.150.0-1.mga1
+ Revision: 77301
- update to 9999.15

* Thu Mar 24 2011 jquelin <jquelin> 9999.140.0-1.mga1
+ Revision: 76630
- update to 9999.14

* Tue Jan 18 2011 jquelin <jquelin> 9999.130.0-1.mga1
+ Revision: 22430
- cleaning spec file
- imported package perl-File-Slurp


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 9999.130.0-1mdv2010.1
+ Revision: 403180
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 9999.13-3mdv2009.1
+ Revision: 351753
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 9999.13-2mdv2009.0
+ Revision: 223754
- rebuild

* Sat Jan 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 9999.13-1mdv2008.1
+ Revision: 158255
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 9999.12-3mdv2008.0
+ Revision: 64751
- rebuild

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 9999.12-2mdv2008.0
+ Revision: 23408
- rebuild


* Tue Mar 07 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 9999.12-1mdk
- 9999.12

* Wed Jan 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 9999.11-1mdk
- new version
- spec cleanup
- rpmbuildupdate aware
- fix directory ownership
- better summary and description

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 9999.09-1mdk
- 9999.09

* Mon Jan 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 9999.07-1mdk
- 9999.07

* Tue Nov 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 9999.06-1mdk
- 9999.06

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 9999.04-1mdk
- 9999.04
- correct license
- spec cosmetics

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2002.1031-3mdk
- rebuild for new perl
- macroize
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2002.1031-2mdk
- buildrequires

* Thu Jun 26 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2002.1031-1mdk
- Initial build.

